| Avidemux 2.6 Scripting Reference

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Enumerations Enumerator Properties Groups Pages
Public Member Functions | Properties | List of all members
SliderControl Class Reference

The SliderControl class provides a horizontal slider widget that is linked to a spin box widget. More...

Inheritance diagram for SliderControl:

## Public Member Functions
| SliderControl (String title, Number minValue, Number maxValue, Number value=0, Number increment=1)
| Constructs a slider widget with the given title, minimum value, maximum value and optional initial value and increment.

## Properties
Number | maximumValue
| Gets or sets the maximum value of the slider.
Number | minimumValue
| Gets or sets the minimum value of the slider.
String | title
| Gets or sets the title of the spin box.
Number | value
| Gets or sets the value of the spin box.

## Detailed Description

The SliderControl class provides a horizontal slider widget that is linked to a spin box widget.

Examples:
  Dialog.admjs.